# Copyright (c) 2017, Xhive Global Ltd. and Contributors
# License: MIT. See LICENSE
import xhiveframework


@xhiveframework.whitelist()
def get_leaderboard_config():
	leaderboard_config = xhiveframework._dict()
	leaderboard_hooks = xhiveframework.get_hooks("leaderboards")
	for hook in leaderboard_hooks:
		leaderboard_config.update(xhiveframework.get_attr(hook)())

	return leaderboard_config
